package nlib.col.service.impl;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import egovframework.rte.psl.dataaccess.mapper.Mapper;
import nlib.col.service.CollectionVO;

/**
 * <pre>
 * @Class Name : CartDAO.java
 * 
 * @Description : 카트 DAO 인터페이스  
 * 
 * 
 * @프로젝트명: 지방문화원 통합자료관리시스템 구축사업 (2021)
 *
 * </pre>
 *
 * @ ------------    --------    ---------------------------
 * @ 수정일                     수정자             수정내용
 * @ ------------    --------    ---------------------------
 * @ 2021-10-01      KNKIM       최초 생성
 *
 * 
 * @author 이씨플라자 * DIGITALSHIP KNKIM
 * @since 2021-10-01
 * @version 1.0
 *
 */
@Mapper("cartDAO")
public interface CartDAO {
	
	public List<CollectionVO> listCartItems(@Param("mbInfoId") String mbInfoId, @Param("cartTypeCd") String cartTypeCd);
	
	public int changeCartDiv(CollectionVO cartVO);
	
	public int countCartItem(CollectionVO cartVO);
	
	public int insertCartItem(CollectionVO cartVO);
	
	public int deleteCartItems(CollectionVO cartVO);
	
	public int changeCartType(CollectionVO cartVO);
	
	public int countCartItems(@Param("mbInfoId") String mbInfoId, @Param("cartTypeCd") String cartTypeCd);
	
	public int changeCartProcDivCd(CollectionVO cartVO);

}